CommonApiVersion 1.0.0
Get Encrypt Public Key
GET
https://pay.globepay.co/api/v1.0/gateway/partners/{partner_code}/encryptObtain the random key of the system to ensure the encrypted transmission of data.
Header
| Field | Description |
|---|---|
Accept | application/json |
Path Variable
| Field | Type | Description |
|---|---|---|
partner_code | String | Required, Partner Code |
Query Params
| Field | Type | Description |
|---|---|---|
time | Long | Required, UTC timestamp in milliseconds |
nonce_str | String | Required, Random string |
sign | String | Required, Sign |
Success 200
| Field | Type | Description |
|---|---|---|
return_code | String | Execution result |
public_key | String | |
encrypt_type | String | (ONLY RSA) |
key_id | String | RSA KEY ID |
expire | int |
ERROR
| Name | Description |
|---|---|
return_code | Error Code |
return_msg | Error Description |
Error Code
| Name | Description |
|---|---|
SYSTEMERROR | Exception inside system |
INVALID_SHORT_ID | Partner code is invalid or there is no partner associated with this code |
SIGN_TIMEOUT | Sign expired, the difference between time and the server time is more than 5 minutes |
INVALID_SIGN | Invalid sign |
PARAM_INVALID | Parameters are invalid. See return_msg for more details. |
NOT_PERMITTED | Gateway payment permission has not been enabled for this partner |
INVALID_CHANNEL | Channel name is not available, check the Capitalize |
